# Copyright (c) 2000-2005, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distributio4.3n.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#

Name:           tagsoup
Version:        1.2.1
Release:        %mkrel 17
Group:          Development/Java
Epoch:          0
Summary:        A SAX-compliant HTML parser written in Java 
# AFL/GPLv2+ license for src/java/org/ccil/cowan/tagsoup/PYXScanner.java is
# likely mixup of upstream but needs to be cleared up
License:        ASL 2.0 and (GPLv2+ or AFL)
Source0:        http://vrici.lojban.org/~cowan/XML/tagsoup/tagsoup-1.2.1-src.zip
URL:            http://vrici.lojban.org/~cowan/XML/tagsoup/
Source1:        https://repo1.maven.org/maven2/org/ccil/cowan/tagsoup/tagsoup/%{version}/tagsoup-%{version}.pom
# fix version
Patch0:         tagsoup-1.2.1-man.patch
Patch1:         sourceTargetJdk8.patch
BuildRequires:  javapackages-local
BuildRequires:  ant
BuildRequires:  ant-apache-xalan2
BuildRequires:  xalan-j2

BuildArch:      noarch

%description
TagSoup is a SAX-compliant parser written in Java that, instead of
parsing well-formed or valid XML, parses HTML as it is found in the wild: nasty
and brutish, though quite often far from short. TagSoup is designed for people
who have to process this stuff using some semblance of a rational application
design. By providing a SAX interface, it allows standard XML tools to be
applied to even the worst HTML.

%package javadoc
Summary:       Javadoc for %{name}
Requires:      jpackage-utils >= 0:1.6

%description javadoc
Javadoc for %{name}.

%prep
%setup -q

find . -name '*.class' -delete
find . -name "*.jar" -delete

%patch0 -p0
%patch1 -p1

%build

export CLASSPATH=$(build-classpath xalan-j2-serializer xalan-j2)
ant \
  -Dtagsoup.version=%{version} \
  -Dj2se.apiurl=%{_javadocdir}/java \
  dist docs-api

%install
%mvn_file : %{name}
%mvn_artifact %{SOURCE1} dist/lib/%{name}-%{version}.jar

%mvn_install

mkdir -p %{buildroot}%{_mandir}/man1
install -m 644 %{name}.1 %{buildroot}%{_mandir}/man1/

%files -f .mfiles
%{_mandir}/man1/%{name}.1.*
%doc CHANGES README TODO %{name}.txt
%license LICENSE

%files javadoc
%license LICENSE




%changelog
* Wed Dec 07 2022 daviddavid <daviddavid> 0:1.2.1-17.mga9
+ Revision: 1918797
- Mageia 9 Mass Rebuild

* Mon Sep 07 2020 daviddavid <daviddavid> 0:1.2.1-16.mga8
+ Revision: 1623082
- moved to source/target 1.8
- dropped javadoc, jdk  fails to build it with the tempaltes
- Rebuilt for JDK-11

* Wed Feb 12 2020 umeabot <umeabot> 0:1.2.1-15.mga8
+ Revision: 1508165
- Mageia 8 Mass Rebuild

* Fri Sep 21 2018 umeabot <umeabot> 0:1.2.1-14.mga7
+ Revision: 1291736
- Mageia 7 Mass Rebuild

* Sun Sep 24 2017 daviddavid <daviddavid> 0:1.2.1-13.mga7
+ Revision: 1158847
- Install with XMvn (sync with fc27)
+ neoclust <neoclust>
- Second rebuild of the java stack
- First rebuild of the java stack
- sync package tagsoup with fedora

* Tue Feb 09 2016 umeabot <umeabot> 1.2.1-8.mga6
+ Revision: 951566
- Mageia 6 Mass Rebuild

* Sat Jan 03 2015 daviddavid <daviddavid> 1.2.1-7.mga5
+ Revision: 808341
- Sync with fc21 (fix build failure)
- fix Group

* Wed Oct 15 2014 umeabot <umeabot> 1.2.1-6.mga5
+ Revision: 740893
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.2.1-5.mga5
+ Revision: 689680
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.2.1-4.mga4
+ Revision: 519453
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 1.2.1-3.mga3
+ Revision: 384027
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Mar 04 2012 gil <gil> 1.2.1-2.mga3
+ Revision: 217811
- fix depmap
- build fix remove static libraries
  re add maven support

* Sun Mar 04 2012 dams <dams> 1.2.1-1.mga2
+ Revision: 217738
- new version 1.2.1
- update spec file

* Sat Nov 05 2011 gil <gil> 1.1.3-1.mga2
+ Revision: 163092
- imported package tagsoup


* Thu Jun 30 2011 gil <gil> 1.1.3-0.%%mkrel
- initial rpm